package com.goomood.phm.mapper;

import java.util.List;
import com.goomood.phm.domain.FaultDescription;

/**
 * 故障缺陷Mapper接口
 * 
 * @author goomood
 * @date 2024-11-17
 */
public interface FaultDescriptionMapper 
{
    /**
     * 查询故障缺陷
     * 
     * @param id 故障缺陷主键
     * @return 故障缺陷
     */
    public FaultDescription selectFaultDescriptionById(Long id);

    /**
     * 查询故障缺陷列表
     * 
     * @param faultDescription 故障缺陷
     * @return 故障缺陷集合
     */
    public List<FaultDescription> selectFaultDescriptionList(FaultDescription faultDescription);

    /**
     * 新增故障缺陷
     * 
     * @param faultDescription 故障缺陷
     * @return 结果
     */
    public int insertFaultDescription(FaultDescription faultDescription);

    /**
     * 修改故障缺陷
     * 
     * @param faultDescription 故障缺陷
     * @return 结果
     */
    public int updateFaultDescription(FaultDescription faultDescription);

    /**
     * 删除故障缺陷
     * 
     * @param id 故障缺陷主键
     * @return 结果
     */
    public int deleteFaultDescriptionById(Long id);

    /**
     * 批量删除故障缺陷
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaultDescriptionByIds(Long[] ids);
}
